package com.alihealth.d2d.provtest.domain;

import com.alihealth.d2d.provtest.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlRootElement;
import lombok.Builder;
import lombok.Data;

import javax.persistence.Column;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * @author Jason 国产药品生产信息数据子集   (2011)
 * @date 2025年06月04日 11:39:02
 */
@Data
@Builder
@TableName("domestic_drug_production_apply_info")
public class DomesticDrugProductionApplyInfo {

    @TableId(type = IdType.AUTO)  // 明确指定使用数据库自增
    private Long id;

    @Column(name = "event_id")
    private String eventId;//事件流水号

    @Column(name = "create_time", updatable = false)
    // 仅数据库字段
    private LocalDateTime createTime = LocalDateTime.now();

    @Column(name = "update_time")
    private LocalDateTime updateTime;

    //private String eventId;
    @Column(name = "rec_time")
    private Date recTime;

    @Column(name = "ypzsm")
    private String ypzsm;

    @Column(name = "syjbzypzsm")
    private String syjbzypzsm;

    @Column(name = "bzcj")
    private String bzcj;

    @Column(name = "ymzt")
    private String ymzt;

    @Column(name = "tyshxydmscqy")
    private String tyshxydmscqy;

    @Column(name = "scqymc")
    private String scqymc;

    @Column(name = "yptymc")
    private String yptymc;

    @Column(name = "gjypbsm")
    private String gjypbsm;

    @Column(name = "ymscph")
    private String ymscph;

    @Column(name = "scrq")
    private Date scrq;

    @Column(name = "ymyxqjzrq")
    private Date ymyxqjzrq;

    @Column(name = "scsl")
    private Integer scsl;

    @Column(name = "scdz")
    private String scdz;

    @Column(name = "rkdbh")
    private String rkdbh;

    @Column(name = "rksj")
    private Date rksj;

    @Column(name = "rkdwmc")
    private String rkdwmc;

    @Column(name = "rkdwtyshxydm")
    private String rkdwtyshxydm;

    @Column(name = "rkdwlx")
    private String rkdwlx;
}
